# Changelog

## 2024-09-18 - 5.1.0 - feat(ts_node)
Add support for HTTPS certificate creation

- Added TapNodeTools class with methods to run commands and create HTTPS certificates
- Exported necessary plugins including crypto and fs for node
- Updated test cases to include tests for HTTPS certificate creation

## 2024-09-17 - 5.0.25 - fix(core)
Fix typos in package.json, update dependencies and update workflow.

- Fixed references to deprecated package names in workflows and package.json.
- Updated versions of @push.rocks dependencies to latest stable.
- Corrected scripts in package.json to reflect new build and documentation commands.
- Fixed async startup in browser tests.

## 2024-08-17 - 5.0.24 - fix(dependencies)
Update dependencies

- Updated @push.rocks/smartexpect from ^1.0.21 to ^1.1.0
- Updated @push.rocks/smartjson from ^5.0.16 to ^5.0.20
- Updated @push.rocks/smartpromise from ^4.0.2 to ^4.0.4
- Updated @push.rocks/smarttime from ^4.0.6 to ^4.0.8
- Updated @types/node from ^20.11.30 to ^22.4.0

## 2024-05-29 - 5.0.23 - General Update
update description

## 2024-04-14 to 2024-04-15 - 5.0.22 - Configuration Updates and Bug Fixes
Multiple updates in tsconfig and npmextra.json

- fix(core): update
- update tsconfig
- update npmextra.json: githost

## 2024-03-19 - 5.0.21 to 5.0.17 - Bug Fix Release
Multiple core fixes and updates without specific feature changes

- fix(core): update

## 2024-03-13 - 5.0.16 - Bug Fix Release
- fix(core): update

## 2023-08-12 - 5.0.15 to 5.0.13 - Bug Fix Release
Multiple core fixes and updates without specific feature changes

- fix(core): update

## 2023-07-13 - 5.0.12 to 5.0.10 - Bug Fix Release
Multiple core fixes and updates without specific feature changes

- fix(core): update

## 2023-06-22 - 5.0.9 to 5.0.7 - Bug Fix Release
Multiple core fixes and updates without specific feature changes

- fix(core): update

## 2022-07-24 - 5.0.6 to 5.0.3 - Bug Fix Release
Multiple core fixes and updates without specific feature changes

- fix(core): update

## 2022-03-14 - 5.0.2 to 5.0.0 - Initial Release of Version 5.x.x
Multiple bug fixes and updates.
- fix(core): update

## 2022-03-14 - 4.0.9 to 4.0.8 - Bug Fix Release
- fix(core): update

## 2022-02-28 - 4.0.7 to 4.0.4 - Bug Fix Release
Multiple core fixes and updates without specific feature changes

- fix(core): update

## 2022-02-02 - 4.0.3 to 4.0.1 - Bug Fix Release
- fix(core): update

## 2022-01-21 - 4.0.0 - Major Release
Version 4.x.x Major improvements and core fixes

## 2021-12-10 - 3.2.15 - Breaking Change
BREAKING CHANGE(core): switch to @pushrocks/smartexpect

## 2021-12-10 - 3.2.14 - Bug Fix Release
- fix(core): update

## 2021-02-13 - 3.2.13 - Bug Fix Release
- fix(core): update

## 2021-01-26 - 3.2.12 to 3.2.11 - Bug Fix Release
- fix(core): update

## 2020-07-11 - 3.2.10 to 3.2.8 - Bug Fix Release
- fix(core): update

## 2020-07-08 - 3.2.7 to 3.2.4 - Bug Fix Release
Multiple core fixes and updates without specific feature changes

- fix(core): update

## 2020-07-08 - 3.2.5 - Documentation Update
- update readme

## 2019-11-16 - 3.1.0 - New Feature
- feat(pretask): introduce new pretask functionality for setting up testing environment

## 2019-11-16 - 3.0.14 - New Feature
- feat(tools): can now ensure certain directories

## 2019-08-23 - 3.0.13 - Bug Fix Release
- fix(core): update

## 2019-08-22 - 3.0.12 - Bug Fix Release
- fix(core): update

## 2019-06-19 - 3.0.11 - Bug Fix Release
- fix(core): update

## 2019-04-10 - 3.0.9 to 3.0.8 - Bug Fix Release
- fix(core): update

## 2018-09-03 - 3.0.7 - Bug Fix Release
- fix(core): update

## 2018-09-02 - 3.0.6 - Dependency Update
- fix(dependencies): update to latest versions

## 2018-08-08 - 3.0.5 - New Feature
- fix(core): add tap.only option

## 2018-08-08 - 3.0.4 - Dependency Update
- fix(dependencies): update

## 2018-08-08 - 3.0.3 - Dependency Update
- fix(dependencies): use @git.zone/tsbuild instead of npmts

## 2018-07-18 - 3.0.2 - Dependency Update
- fix(dependencies): now typings-global free

## 2018-07-13 - 3.0.1 - Dependency Update
- fix(dependencies): update

## 2018-07-13 - 3.0.0 - Package Update
- fix(package): npm access level

## 2018-06-28 - 2.0.2 - Breaking Change
BREAKING CHANGE(package): change scope

## 2018-06-28 - 2.0.1 - Security Update
- fix(security): add snyk file

## 2018-02-27 - 2.0.0 - Compatibility Update
- fix(core): fix node 10.x.x compatibility

## 2017-10-11 - 1.1.8 - Update
- update to use latest smartchai

## 2017-10-11 - 1.1.7 - Update
- update ci

## 2017-10-10 - 1.1.6 - Documentation Update
- add new docs

## 2017-10-09 - 1.1.5 - Feature Update
- now has working leak detection

## 2017-03-26 - 1.0.9 - Standards Update
- update to latest standards
